org.apache.ignite.internal.client.impl

## Interface GridClientFutureCallback<R,S>

Type Parameters:
  `R` - Input parameter type.
  `S` - Result type.

    public interface GridClientFutureCallback<R,S>

Future callback will be notified, when listened future finishes (both succeed or failed).

### Method Summary

All Methods Instance Methods Abstract Methods
`S` `onComplete(GridClientFuture<R> fut)` Future callback to executed when listened future finishes.

### Method Detail

#### onComplete

    S onComplete(GridClientFuture<R> fut)
          throws GridClientException

Future callback to executed when listened future finishes.

Parameters:
  `fut` - Finished future to listen for.
Returns:
  Chained future result, if applicable, otherwise - `null`.
Throws:
  `GridClientException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018